View Issue Details

IDProjectCategoryView StatusLast Update
0010765LazarusIDEpublic2013-09-03 12:07
Reporterigel457Assigned ToMartin Friebe 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.24Product Build 
Target Version0.9.30Fixed in Version0.9.29 (SVN) 
Summary0010765: IDE stops debugging when a file is not found
DescriptionIf you step through a program using F7, the IDE displays a message box "file xxx not found" if it does not find the source file the debugger steps into. But instead of going on debugging, the "gray row" disappears and you have to set (if possible) another breakpoint somewhere and press F9. Therefore it would be better if the IDE just skips opening the not found file (probably it could display a small message in the message window) and goes on debugging in the next line of the currently opened file.
This would increase the debug experience with Lazarus a thousandfold.
TagsNo tags attached.
Fixed in Revision28470
LazTarget1.4
WidgetsetWin32/Win64
Attached Files

Activities

Martin Friebe

2010-11-24 17:21

manager   ~0043486

You can use Shift-F8 (step out) to run until the current function (wich is in the not found file) returns.

I do not think the IDE should automatically override the users decission (perform a step over, instead of step into).

But it should not consistently ask for a file that the user has confirmed not to be find-able,

The IDE should open the disassembler view instead (once the user hs aborted the search for the file).

Martin Friebe

2010-11-24 23:43

manager   ~0043500

please test and close if ok.

The debugger will now only asks once for each file.

Then you can continue in asm view.

Issue History

Date Modified Username Field Change
2008-02-03 22:13 igel457 New Issue
2008-02-03 22:13 igel457 Widgetset => Win32
2008-03-04 13:56 Vincent Snijders LazTarget => post 1.2
2008-03-04 13:56 Vincent Snijders Status new => acknowledged
2008-03-04 13:56 Vincent Snijders Severity minor => feature
2010-11-24 17:18 Martin Friebe Status acknowledged => assigned
2010-11-24 17:18 Martin Friebe Assigned To => Martin Friebe
2010-11-24 17:21 Martin Friebe Note Added: 0043486
2010-11-24 23:43 Martin Friebe Fixed in Revision => 28470
2010-11-24 23:43 Martin Friebe Status assigned => resolved
2010-11-24 23:43 Martin Friebe Fixed in Version => 0.9.29 (SVN)
2010-11-24 23:43 Martin Friebe Resolution open => fixed
2010-11-24 23:43 Martin Friebe Note Added: 0043500
2010-11-24 23:43 Martin Friebe Target Version => 0.9.30
2011-12-01 11:25 Marc Weustink Status resolved => closed
2013-09-03 12:07 Martin Friebe LazTarget post 1.2 => 1.4